draw_set_font(fnt_test);
var c = $806050;
draw_set_color(c);
var qx = 72;
var qy = 4;
var qw = 440;
var qh = 20; // bar width
var qs = 32; // spacing
var n = ds_list_size(tests);
// header:
draw_set_halign(fa_right);
draw_text(qx - 4, qy, string_hash_to_newline("Avg (μs)"));
draw_set_halign(fa_center);
draw_text(qx + qw div 2, qy, string_hash_to_newline("Relative performance"));
draw_set_halign(fa_left);
draw_text(qx + qw + 4, qy, string_hash_to_newline("Name"));
qy += 24;
// rows:
for (var i = 0; i < n; i++) {
    var q = tests[|i];
    var qt = q[test_t.avg];
    draw_set_halign(fa_right);
    draw_text(qx - 4, qy, string_hash_to_newline(string_format(qt, 0, 3)));
    draw_set_halign(fa_left);
    //
    var qr = (smallest / qt);
    draw_sprite_ext(spr_white32, 0, qx, qy, qw / 32, qh / 32, 0, c, 0.1);
    draw_sprite_ext(spr_white32, 0, qx, qy, qr * qw / 32, qh / 32, 0, c, 1);
    //
    draw_text(qx + 5, qy + 1, string_hash_to_newline(string_format(qr * 100, 0, 1) + "%"));
    draw_set_color(c_white);
    draw_text(qx + 4, qy, string_hash_to_newline(string_format(qr * 100, 0, 1) + "%"));
    draw_set_color(c);
    //
    draw_set_valign(fa_middle);
    draw_text(qx + qw + 4, qy + qh div 2, string_hash_to_newline(q[test_t.name]));
    draw_set_valign(fa_top);
    qy += qs;
}
//
draw_set_halign(fa_right);
draw_text(qx - 4, qy, string_hash_to_newline(string_format_exp(ndone) + "#" + string_format_exp(ndone * times)));
draw_set_halign(fa_left);
draw_text(qx, qy, string_hash_to_newline("tests#iterations"));
//

