if (++ntime >= pause) {
    ntime = 0;
    ds_list_shuffle(swaps);
    var n = times;
    ndone += 1;
    var i = -1;
    repeat (ds_list_size(swaps)) {
        var q = tests[|++i];
        var w = q[test_t.args], t;
        var w0 = w[0], w1, w2, w3, w4;
        switch (array_length_1d(w)) {
            case 1:
                t = get_timer();
                repeat (n) script_execute(w0);
                break;
            case 2:
                w1 = w[1];
                t = get_timer();
                repeat (n) script_execute(w0, w1);
                break;
            case 3:
                w1 = w[1]; w2 = w[2];
                t = get_timer();
                repeat (n) script_execute(w0, w1, w2);
                break;
            case 4:
                w1 = w[1]; w2 = w[2]; w3 = w[3];
                t = get_timer();
                repeat (n) script_execute(w0, w1, w2, w3);
                break;
            case 5:
                w1 = w[1]; w2 = w[2]; w3 = w[3]; w4 = w[4];
                t = get_timer();
                repeat (n) script_execute(w0, w1, w2, w3, w4);
                break;
            default: show_error("Too many arguments", 1);
        }
        t = get_timer() - t;
        q[@test_t.total] += t;
        var qr = q[test_t.total] / (n * ndone);
        q[@test_t.avg] = qr;
        if (i == 0) {
            biggest = qr;
            smallest = qr;
        } else {
            biggest = max(biggest, qr);
            smallest = min(smallest, qr);
        }
    }
}

